| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
erpcgen::FunctionBase Class Referenceabstract

Function base declaration. More...

`#include <Function.h>`

Inheritance diagram for erpcgen::FunctionBase:

## Public Member Functions
| FunctionBase ()
| Constructor.
StructType & | getParameters ()
| This function returns function parameters. More...
DataType * | getReturnType ()
| This function returns data type of function return value. More...
StructMember * | getReturnStructMemberType ()
| This function returns data type of function return value. More...
void | setReturnStructMemberType (StructMember *returnType)
| This function set data type of function return value. More...
bool | isOneway () const
| This function returns true/false, when function return type is/isn't oneway. More...
void | setIsOneway (bool argIsOneway)
| This function set true/false, when function return type is/isn't oneway. More...
virtual std::string | getDescription () const =0
| This function returns description about the interface function. More...

## Protected Attributes
StructType | m_parameters
StructMember * | m_returnType
bool | m_isOneway

## Detailed Description

Function base declaration.

The function's parameters are represented by a StructType object.

## Member Function Documentation

virtual std::string erpcgen::FunctionBase::getDescription | ( |  | ) | const
| pure virtual

This function returns description about the interface function.

Returns
  String description about interface function.

See also
  std::string AliasType::getDescription() const
  std::string EnumMember::getDescription() const
  std::string EnumType::getDescription() const
  std::string StructMember::getDescription() const
  std::string StructType::getDescription() const
  std::string VoidType::getDescription() const
  std::string ArrayType::getDescription() const
  std::string ListType::getDescription() const

Implemented in erpcgen::Function, and erpcgen::FunctionType.

StructType& erpcgen::FunctionBase::getParameters | ( |  | ) |
| inline

This function returns function parameters.

Returns
  Function parameters.

StructMember* erpcgen::FunctionBase::getReturnStructMemberType | ( |  | ) |
| inline

This function returns data type of function return value.

Returns
  Return data type of function return value.

DataType* erpcgen::FunctionBase::getReturnType | ( |  | ) |
| inline

This function returns data type of function return value.

Returns
  Return data type of function return value.

bool erpcgen::FunctionBase::isOneway | ( |  | ) | const
| inline

This function returns true/false, when function return type is/isn't oneway.

Return values

  true | Function return type is oneway.
  false | Function return type isn't oneway.

void erpcgen::FunctionBase::setIsOneway | ( | bool | argIsOneway | ) |
| inline

This function set true/false, when function return type is/isn't oneway.

Parameters

  [in] | isOneway | Set, if function return type is oneway.

void erpcgen::FunctionBase::setReturnStructMemberType | ( | StructMember * | returnType | ) |
| inline

This function set data type of function return value.

Parameters

  [in] | returnType | Function return value data type.

## Member Data Documentation

bool erpcgen::FunctionBase::m_isOneway
| protected

If false then communication is bidirectional.

StructType erpcgen::FunctionBase::m_parameters
| protected

Function parameters are saved as structure members.

StructMember* erpcgen::FunctionBase::m_returnType
| protected

Function return data type.

The documentation for this class was generated from the following file:

- Function.h